#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeframever	6.13
%define		qtver		5.15.2
%define		kfname		kquickcharts

Summary:	Plugin for beautiful and interactive charts
Name:		kf6-%{kfname}
Version:	6.13.0
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/frameworks/%{kdeframever}/%{kfname}-%{version}.tar.xz
# Source0-md5:	9727025fec963329082c5d29bfd85b23
URL:		http://www.kde.org/
BuildRequires:	Qt6Core-devel >= %{qtver}
BuildRequires:	Qt6Gui-devel
BuildRequires:	Qt6Network-devel >= 5.11.1
BuildRequires:	Qt6Qml-devel
BuildRequires:	Qt6Quick-devel
BuildRequires:	cmake >= 3.16
BuildRequires:	kf6-extra-cmake-modules >= %{kdeframever}
BuildRequires:	ninja
BuildRequires:	qt6-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
#Obsoletes:	kf5-%{kfname} < %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Qt Quick plugin for beautiful and interactive charts.

%package devel
Summary:	Header files for %{kaname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kaname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
#Obsoletes:	kf5-%{kfname}-devel < %{version}

%description devel
Header files for %{kfname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kaname}.

%prep
%setup -q -n %{kfname}-%{version}

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON

%ninja_build -C build

%if %{with tests}
%ninja_build -C build test
%endif


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{_libdir}/qt6/qml/org/kde/quickcharts
%dir %{_libdir}/qt6/qml/org/kde/quickcharts/controls
%{_datadir}/qlogging-categories6/kquickcharts.categories
%ghost %{_libdir}/libQuickCharts.so.1
%attr(755,root,root) %{_libdir}/libQuickCharts.so.*.*
%ghost %{_libdir}/libQuickChartsControls.so.1
%attr(755,root,root) %{_libdir}/libQuickChartsControls.so.*.*
%{_libdir}/qt6/qml/org/kde/quickcharts/QuickCharts.qmltypes
%{_libdir}/qt6/qml/org/kde/quickcharts/controls/KirigamiTheme.qml
%{_libdir}/qt6/qml/org/kde/quickcharts/controls/Legend.qml
%{_libdir}/qt6/qml/org/kde/quickcharts/controls/LegendDelegate.qml
%{_libdir}/qt6/qml/org/kde/quickcharts/controls/LineChartControl.qml
%{_libdir}/qt6/qml/org/kde/quickcharts/controls/PieChartControl.qml
%{_libdir}/qt6/qml/org/kde/quickcharts/controls/QuickChartsControls.qmltypes
%{_libdir}/qt6/qml/org/kde/quickcharts/controls/Theme.qml
%{_libdir}/qt6/qml/org/kde/quickcharts/controls/kde-qmlmodule.version
%attr(755,root,root) %{_libdir}/qt6/qml/org/kde/quickcharts/controls/libQuickChartsControlsplugin.so
%{_libdir}/qt6/qml/org/kde/quickcharts/controls/qmldir
%{_libdir}/qt6/qml/org/kde/quickcharts/kde-qmlmodule.version
%attr(755,root,root) %{_libdir}/qt6/qml/org/kde/quickcharts/libQuickChartsplugin.so
%{_libdir}/qt6/qml/org/kde/quickcharts/qmldir


%files devel
%defattr(644,root,root,755)
%{_libdir}/cmake/KF6QuickCharts
%{_libdir}/libQuickCharts.so
%{_libdir}/libQuickChartsControls.so
%changelog
* Tue Apr 29 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf6-kquickcharts.git;a=log;h=master

* Sat Apr 12 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 7897010
- updated to 6.13.0

* Sun Mar 16 2025 Witold Filipczyk <witekfl@poczta.onet.pl> b200230
- updated to 6.12.0

* Sat Feb 22 2025 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 0621ba3
- relup

* Sat Feb 15 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 0fb384a
- updated to 6.11.0

* Fri Jan 10 2025 Witold Filipczyk <witekfl@poczta.onet.pl> c705b9a
- updated to 6.10.0

* Fri Dec 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> c0ddc71
- updated to 6.9.0

* Fri Nov 08 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 45d8296
- updated to 6.8.0

* Fri Oct 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> d344d73
- updated to 6.7.0

* Sat Sep 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 8699d46
- updated to 6.6.0

* Sun Aug 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 3c5d9d3
- updated to 6.5.0

* Wed Aug 07 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> b6883f5
- relup

* Sat Jul 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 90e22cc
- updated to 6.4.0

* Sat Jun 08 2024 Witold Filipczyk <witekfl@poczta.onet.pl> e27eadb
- updated to 6.3.0

* Fri May 24 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 33b56ab
- Obsoletes kf5

* Sat May 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> ed59eb8
- updated to 6.2.0

* Sun Apr 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> de61a5c
- updated to 6.1.0

* Sat Mar 02 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 47e5cf2
- updated to 6.0.0

* Sun Feb 04 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 3f38b47
- updated to 5.249.0; rel 0.1

